/*
const isoWikiUrl = 'https://fr.wikipedia.org/wiki/Liste_des_codes_ISO_639-1'
window.location.assign(isoWikiUrl)
 */

const table = document.getElementsByTagName('table').item(0)

const rowsArray = Array.from(table.children.item(1).children)

const languageList = rowsArray.map(tr => ({
  value: tr.firstElementChild.innerText,
  label: tr.children.item(4).innerText.split(/[,;]/)[0].trim()
}))

const dataStr = "data:text/json;charset=utf-8," + encodeURIComponent(JSON.stringify(languageList));

const downloadLink = document.createElement('a')

downloadLink.setAttribute("href",     dataStr     );
downloadLink.setAttribute("download", "lang.json");

document.body.appendChild(downloadLink)

downloadLink.click();




